Bug 990277 - (krdc) Review Request: krdc - Remote Desktop Client
Review Request: krdc - Remote Desktop Client
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
Reported: 2013-07-30 14:48 EDT by Rex Dieter
Modified: 2013-08-12 14:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-12 14:07:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jgrulich: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-07-30 14:48:11 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/kdenetwork/krdc.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdenetwork/krdc-4.10.97-1.fc19.src.rpm
Description: Remote Desktop Client
Fedora Account System Username: rdieter

Formerly part of kdenetwork monolithic package, upstream has split this out into it's own tarball for kde-4.11
Comment 1 Jan Grulich 2013-08-05 08:05:10 EDT
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- update-desktop-database is invoked when required
  Note: desktop file(s) in krdc
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

===== MUST items =====

[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in krdc-libs ,
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated". 2
     files have unknown license. Detailed output of licensecheck in
[!]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in krdc
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 348160 bytes in 12 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Jan Grulich <jgrulich@redhat.com> Found : Vendor:
[!]: Spec use %global instead of %define.
     Note: %define freerdp 1
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

[x]: Large data in /usr/share should live in a noarch subpackage if package is
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: krdc-4.10.97-1.fc20.i686.rpm
krdc.i686: W: no-manual-page-for-binary krdc
krdc.i686: W: no-manual-page-for-binary krdc_rfb_approver
krdc-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
krdc-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
krdc-libs.i686: W: no-documentation
krdc-devel.i686: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

I've found two issues:

[!]: License file installed when any subpackage combination is installed.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Spec use %global instead of %define.
     Note: %define freerdp 1

Otherwise it looks good, just contact upstream → setting fedora-review flag to +.
Comment 2 Rex Dieter 2013-08-05 14:31:39 EDT

New Package SCM Request
Package Name: krdc
Short Description: Remote Desktop Client
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19
Comment 3 Gwyn Ciesla 2013-08-05 16:18:31 EDT
Git done (by process-git-requests).
Comment 4 Rex Dieter 2013-08-12 14:07:45 EDT

Note You need to log in before you can comment on or make changes to this bug.